package cn.com.tenlion.configcolumn.pojo.bos.configcolumngroup;

/**
 *
 * @ClassName: ConfigColumnGroupBO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-26 13:59:22
 * @Version: 3.0
 **/
public class ConfigColumnGroupBO {

    private String configColumnGroupId;
    private String configColumnGroupCode;
    private String configColumnGroupName;
    private String configColumnGroupPhoto;
    private String configColumnGroupDirection;
    private String configColumnGroupStatus;
    private String configColumnGroupRemark;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getConfigColumnGroupId() {
        return configColumnGroupId == null ? "" : configColumnGroupId.trim();
    }

    public void setConfigColumnGroupId(String configColumnGroupId) {
        this.configColumnGroupId = configColumnGroupId;
    }

    public String getConfigColumnGroupCode() {
        return configColumnGroupCode == null ? "" : configColumnGroupCode.trim();
    }

    public void setConfigColumnGroupCode(String configColumnGroupCode) {
        this.configColumnGroupCode = configColumnGroupCode;
    }

    public String getConfigColumnGroupName() {
        return configColumnGroupName == null ? "" : configColumnGroupName.trim();
    }

    public void setConfigColumnGroupName(String configColumnGroupName) {
        this.configColumnGroupName = configColumnGroupName;
    }

    public String getConfigColumnGroupPhoto() {
        return configColumnGroupPhoto == null ? "" : configColumnGroupPhoto.trim();
    }

    public void setConfigColumnGroupPhoto(String configColumnGroupPhoto) {
        this.configColumnGroupPhoto = configColumnGroupPhoto;
    }

    public String getConfigColumnGroupDirection() {
        return configColumnGroupDirection == null ? "" : configColumnGroupDirection.trim();
    }

    public void setConfigColumnGroupDirection(String configColumnGroupDirection) {
        this.configColumnGroupDirection = configColumnGroupDirection;
    }

    public String getConfigColumnGroupStatus() {
        return configColumnGroupStatus == null ? "" : configColumnGroupStatus.trim();
    }

    public void setConfigColumnGroupStatus(String configColumnGroupStatus) {
        this.configColumnGroupStatus = configColumnGroupStatus;
    }

    public String getConfigColumnGroupRemark() {
        return configColumnGroupRemark == null ? "" : configColumnGroupRemark.trim();
    }

    public void setConfigColumnGroupRemark(String configColumnGroupRemark) {
        this.configColumnGroupRemark = configColumnGroupRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
